import java.applet.*;
import java.awt.*;
import java.util.Random;

public class esempioApplet2a extends java.applet.Applet {
  private Dimension size;
  private Random generatore = new Random(100);
  private java.awt.Color bgColor=java.awt.Color.black;
  private int x = 0;
  private int y = 0;
  private int num_stelle = 10;
  private int starx[];
  private int stary[];


  public void init(){
	starx = new int[num_stelle];
	stary = new int[num_stelle];
	setBackground(bgColor);
	size = getSize();
	x = size.width / 2;
	y = size.height / 2;
  }

  public void paint(Graphics g) {
	generaStelle();
	x = Math.abs((x+generatore.nextInt()%3+1)%size.width);
	y = Math.abs((y+generatore.nextInt()%3+1)%size.height);
	disegnaStelle(g, true);
	disegnaUfo(g, true);
  }

  public void disegnaStelle(Graphics tmpG, boolean flag) {
	if (flag) tmpG.setColor(Color.yellow);
		else tmpG.setColor(bgColor);
	for(int i=0; i<num_stelle; i++) {
	tmpG.drawLine(starx[i]-1, stary[i], starx[i]+1, stary[i]);
	tmpG.drawLine(starx[i], stary[i]-1, starx[i], stary[i]+1);
	}
  }

  public void disegnaUfo(Graphics tmpG, boolean flag) {
	if (flag) tmpG.setColor(Color.white);
		else tmpG.setColor(bgColor);
	tmpG.drawLine(x+10, y+12, x+10, y+22);
	tmpG.drawLine(x+5,  y+12, x,    y+22);
	tmpG.drawLine(x+15, y+12, x+20, y+22);
	tmpG.fillOval(x, y, 15, 8);
	tmpG.drawOval(x, y, 20, 12);
  }

  public void generaStelle() { 
	for(int i=0; i<num_stelle; i++) {
		starx[i] = Math.abs(generatore.nextInt())%size.width; 
		stary[i] = Math.abs(generatore.nextInt())%size.height;
	}
  }
}
